Delete a markdown library item Experimental; added in 9.6.0

DELETE /api/markdowns/{id}

Spaces method and path for this operation:

delete /s/{space_id}/api/markdowns/{id}

Refer to Spaces for more information.

Permanently deletes a markdown library item by ID.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Path parameters

  • id string Required

    The markdown library item ID, as returned by the create or search endpoints.

Responses

  • 204

    No content, the markdown library item was successfully deleted.

  • 403

    forbidden

  • 404

    not found

DELETE /api/markdowns/{id}
curl -X DELETE "${KIBANA_URL}/api/markdowns/5e1f3a20-c4d6-11ef-be8b-3c7c2b9d1f4e" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true"
DELETE kbn:/api/markdowns/5e1f3a20-c4d6-11ef-be8b-3c7c2b9d1f4e